Subject: bug#52943: closed (Re: bug#52943: Cannot build guix as part of guix system reconfigure after commit 224d437fb4 on aarch64)

From: [email-masked] (GNU bug Tracking System)
Date: Wed, 19 Jan 2022 19:29:03 +0000

Your bug report

#52943: Cannot build guix as part of guix system reconfigure after commit 224d437fb4 on aarch64

which was filed against the guix package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
52943: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=52943
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#52943: Cannot build guix as part of guix system reconfigure after commit 224d437fb4 on aarch64
From: Vagrant Cascadian <[email-masked]>
To: Pierre Langlois <[email-masked]>, Chris Marusich <[email-masked]>
Cc: Aiko Kyle <[email-masked]>, [email-masked]
Date: Wed, 19 Jan 2022 11:28:28 -0800
List-Id: <debbugs-submit.debbugs.gnu.org>

On 2022-01-17, Vagrant Cascadian wrote:
> On 2022-01-17, Pierre Langlois wrote:
>> Chris Marusich <[email-masked]> writes:
>>> Chris Marusich <[email-masked]> writes:
>
>>>> If nobody has further comments, I will commit the attached version to
>>>> master in about 24 hours.
>>>
>>> I've committed this in 24c3485bb3ffc05e687ef6513ac287b8d3048bab.  We
>>> still need to update the "guix" package, so even if you run "guix pull"
>>> right now, you won't be able to successfully build "guix" after pulling
>>> on aarch64-linux yet.
>>>
>>> I will coordinate with the other people who are helping to make the
>>> 1.4.0 release to ensure that this fix makes it into the 1.4.0 release.
>>> See this guix-devel email thread for details:
>>>
>>>   https://lists.gnu.org/archive/html/guix-devel/2022-01/msg00296.html
>>
>> That's awesome, thank you!
>
> FWIW, I can also confirm that updating the "guix" package to a version
> that contains 24c3485bb3ffc05e687ef6513ac287b8d3048bab allows the "guix"
> package (which contains the fairly important "guix-daemon"), to build
> again. Thanks for getting it that far!
>
> Haven't been able to upgrade my aarch64 systems without local patches
> for over a month now... glad to see a fix is *almost* ready!
>
> Is there anything in particular holding back upating the guix package
> (other than the huge amount of big merges in progress, release
> preparation, etc. and etc.)?

I went ahead and pushed to master:

  f758ede583ef9662963873750206540f58ff3c45 gnu: guix: update to 1.3.0-22.24c3485.

I tried building a newer version, but there were new test suite failures
on both aarch64 and x86_64 :/

Happy aarch64ing!

live well,
  vagrant

Subject: Cannot build guix as part of guix system reconfigure after commit 224d437fb4 on aarch64
From: Aiko Kyle <[email-masked]>
To: [email-masked]
Date: Sat, 1 Jan 2022 16:54:51 -0700
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi,

I'm new to guix so I'm really struggling to debug this strange issue.
On the latest master I can run 'guix pull', and the latest guix seems
to build just fine, however when I go to do 'guix system reconfigure',
building guix fails the check phase. I've attached the log file. After
some help on IRC, I understand that during 'guix system reconfigure'
ends up building a previous version of itself via the "boot-stripping"
process in gnu/packages/package-management.scm. I followed this linked
list of commits backwards and found that commits prior to commit
224d437fb4 which updates this guix package definition to version 14
which is commit 2a621f1 build just fine, however all the versions of
that package afterwards fail at the same place during 'guix system
reconfigure', in the check phase, with the same tests failing. At this
point, I think I lack sufficient knowledge of guix to debug this issue
further and it looks like cuirass is so backlogged on aarch64 that is
still hasn't gotten to building these guix versions so I can't compare
with it's build attempts. Any help would be greatly appreciated as I'd
really like to be running the latest guix from master.

Thanks!